Skip to content
Dec 22, 2018

@dev-embedthis dev-embedthis released this Dec 13, 2018 · 9 commits to master since this release

Major Release

Recommended Action

  • Essential Upgrade -- All users strongly advised to upgrade
  • Recommended Upgrade -- Upgrade recommended but not essential
  • Optional Upgrade -- Upgrade only if convenient

Change Log

  • Bump to 1.0

Build Requirements

  • To build, requires MakeMe 1.0.0 or later
  • To install paks, use Pak 1.0.0 or later

References:

Assets 2

@mobsense mobsense released this Apr 17, 2018 · 13 commits to master since this release

Minor Patch Release

Recommended Action

  • Essential Upgrade -- All users strongly advised to upgrade
  • Recommended Upgrade -- Upgrade recommended but not essential
  • Optional Upgrade -- Upgrade only if convenient

Change Log

  • Upgrade to match new Pak release (0.12.4) and using pak.json instead of package.json

Build Requirements

  • To build, requires MakeMe 0.10.8 or later
  • To install paks, use Pak 0.12.4 or later

References:

Assets 2

@mobsense mobsense released this Sep 28, 2017 · 26 commits to master since this release

Minor Patch Release

Recommended Action

  • Essential Upgrade -- All users strongly advised to upgrade
  • Recommended Upgrade -- Upgrade recommended but not essential
  • Optional Upgrade -- Upgrade only if convenient

Change Log

  • Support VS 2017

Build Requirements

  • To build, requires MakeMe 0.10.7 or later
  • To install paks, use Pak 0.12.3 or later

References:

Assets 2

@embedthis embedthis released this Jun 8, 2017 · 32 commits to master since this release

Minor Patch Release

Recommended Action

  • Essential Upgrade -- All users strongly advised to upgrade
  • Recommended Upgrade -- Upgrade recommended but not essential
  • Optional Upgrade -- Upgrade only if convenient

Change Log

  • Upgrade mbedtls to 2.2.1
  • Fix missing man directories on installations
  • Fix blog description and meta handling
  • Fix fatal() to be public

Build Requirements

  • To build, requires MakeMe 0.10.4 or later
  • To install paks, use Pak 0.12.1 or later

References:

Assets 2

@embedthis embedthis released this Dec 7, 2015 · 82 commits to master since this release

Major Feature Release

Recommended Action

  • Essential Upgrade -- All users strongly advised to upgrade
  • Recommended Upgrade -- Upgrade recommended but not essential
  • Optional Upgrade -- Upgrade only if convenient

Change Log

  • Move package.json pak.render to expansive.json
  • Rename meta.url to meta.site
  • Move lib directory under contents
  • Refactor the plugin API -- requires rewriting plugins
  • Add Transform resolve() API

Build Requirements

  • To build, requires MakeMe 0.10.0 or later
  • To install paks, use Pak 0.12.0 or later

References:

Assets 2

@embedthis embedthis released this Sep 23, 2015 · 110 commits to master since this release

Minor Feature release

Recommended Action

  • Essential Upgrade -- All users strongly advised to upgrade
  • Recommended Upgrade -- Upgrade recommended but not essential
  • Optional Upgrade -- Upgrade only if convenient

Change Log

  • Add MbedTLS support

Build Requirements

  • To build, requires MakeMe 0.10.0 or later
  • To install paks, use Pak 0.12.0 or later

References:

Assets 2
Aug 26, 2015
UPGRADE: paks

@embedthis embedthis released this Aug 26, 2015 · 141 commits to master since this release

Minor Patch release

Recommended Action

  • Essential Upgrade -- All users strongly advised to upgrade
  • Recommended Upgrade -- Upgrade recommended but not essential
  • Optional Upgrade -- Upgrade only if convenient

Change Log

  • Cleanup external server when Expansive exits
  • Upgrade MPR and HTTP libraries

Build Requirements

  • To build, requires MakeMe 0.9.3 or later
  • To install paks, use Pak 0.11.3 or later

References:

Assets 2

@embedthis embedthis released this Aug 13, 2015 · 159 commits to master since this release

Minor Patch release

Recommended Action

  • Essential Upgrade -- All users strongly advised to upgrade
  • Recommended Upgrade -- Upgrade recommended but not essential
  • Optional Upgrade -- Upgrade only if convenient

Change Log

  • Upgrade MPR and HTTP libraries

Build Requirements

  • To build, requires MakeMe 0.9.2 or later
  • To install paks, use Pak 0.11.3 or later

References:

Assets 2
You can’t perform that action at this time.